/*
 * Copyright ©2023 CJB-CNIT Team. All rights reserved
 */
package com.openhis.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 申请单管理类型
 *
 * @author zwh
 * @date 2025-03-10
 */
@Getter
@AllArgsConstructor
public enum RequestFormType implements HisEnumInterface {

    /**
     * 检查
     */
    CHECK(1, "1", "检查"),

    /**
     * 检验
     */
    INSPECTION(2, "2", "检验"),

    /**
     * 输血
     */
    BLOOD_TRANSFUSION(3, "3", "输血"),

    /**
     * 手术
     */
    SURGERY(4, "4", "手术");

    private final Integer value;
    private final String code;
    private final String info;

    public static RequestFormType getByValue(Integer value) {
        if (value == null) {
            return null;
        }
        for (RequestFormType val : values()) {
            if (val.getValue().equals(value)) {
                return val;
            }
        }
        return null;
    }
}
